// Author: Wesley Curtis Lefebvre

#ifndef __NSDLL_H__
#define __NSDLL_H__

void checkParameterIndices(int *row,int *col);
DLLData *allocDLLInstance(DLLData *oldInstance);
void freeDLLInstance(DLLData *instance);
DLLData *setWeights(DLLData *instance, int numberOfWeights);
DLLData *allocParameters(DLLData *instance);
NSFloat *getWeights(DLLData *instance);
void setUserData(DLLData *instance, void *userData);
void *getUserData(DLLData *instance);
void setParameterName(DLLData *instance, int row, int col, char *name, BOOL realloc);
int getIntParameter(DLLData *instance, int row, int col);
NSFloat getFloatParameter(DLLData *instance, int row, int col);
char *getStringParameter(DLLData *instance, int row, int col);
BOOL getBoolParameter(DLLData *instance, int row, int col);
void setIntParameter(DLLData *instance, int row, int col, int intValue, BOOL force);
void setFloatParameter(DLLData *instance, int row, int col, NSFloat floatValue, BOOL force);
void setStringParameter(DLLData *instance, int row, int col, char *stringValue, BOOL force);
void setBoolParameter(DLLData *instance, int row, int col, BOOL boolValue, BOOL force);

#endif __NSDLL_H__	
